Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040746
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] [Modules] Advance Warehouse Operationsminoralways2019-05-02 12:582019-09-23 14:02
ReporterLeyreView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision7ab00424ec18
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040746: Problem when a process executed in a subtab, request without pagination done to datasource

DescriptionWhen a process defined in a subtab deletes the record open in its parent tab, an error is shown in the console, and the header tab is left in an inconsistent state.

This happens in AWO when a task is confirmed with 'Confirmed Quantity' = 0, in the Warehouse Operation window.

Steps To ReproduceSimpler steps to reproduce:
- Install the attached module
- Create a business partner. Open it in form view
- Open its Contact subtab and create a contact
- Open the debugger tools, show the console tab
- Click on the Delete Parent Business Partner button
- Check that an error appears in the console, and that the header tab shows an empty record


Original Steps to reproduce:
BACKEND:

- Open a new Warehouse Operation ('Warehouse Operation' window)
- Count
- A new Task is created
- Open the Task
- Close and open again the Warehouse Operation (the record, not the window)
- Set Confirmed Quantity = 0
- Confirm the task
- Open the browser console, and verify that there are errors - Look at the attached image
Proposed Solution- If the header record is removed (this can be detected if the request to refresh the parent record returns 0 rows), change the view to grid view
TagsNo tags attached.
Attached Filespng file icon ErrorCloseOpen.png [^] (129,204 bytes) 2019-05-02 12:58


rar file icon org.openbravo.issue40746.rar [^] (4,908 bytes) 2019-05-08 16:44
png file icon CDS.png [^] (103,847 bytes) 2019-05-10 13:03

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111506)
Leyre (developer)
2019-05-06 16:27
edited on: 2019-05-06 16:28

Backend: https://livebuilds.openbravo.com/retail_modules_pgsql_pi [^]
User:Openbravo
Role: AWO

(0114638)
hgbot (developer)
2019-09-18 13:42

Repository: erp/devel/pi
Changeset: 7ab00424ec1834febf6c5587364f9b81e6edc43e
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Sep 05 09:54:55 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7ab00424ec1834febf6c5587364f9b81e6edc43e [^]

fixes issue 40746: When subtab process deletes parent record view is refreshed

When a subtab process deletes its parent record, parent view is refreshed correctly.
If parent was in Form view, it is switched to grid view, an info message is shown and the grid refreshes to show the change.
If parent was in Grid view, view is refreshed to show the changes.

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0114639)
AugustoMauch (developer)
2019-09-18 13:44

Code reviewed and verified
(0114726)
hudsonbot (developer)
2019-09-23 14:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1a0e045ce34f [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-02 12:58 Leyre New Issue
2019-05-02 12:58 Leyre Assigned To => Triage Finance
2019-05-02 12:58 Leyre File Added: ErrorCloseOpen.png
2019-05-02 14:41 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-06 09:35 Leyre Steps to Reproduce Updated View Revisions
2019-05-06 16:27 Leyre Note Added: 0111506
2019-05-06 16:27 Leyre Steps to Reproduce Updated View Revisions
2019-05-06 16:28 Leyre Note Edited: 0111506 View Revisions
2019-05-07 17:05 Sandrahuguet Assigned To nonofrancisco => platform
2019-05-07 17:05 Sandrahuguet Severity major => minor
2019-05-08 16:44 AugustoMauch File Added: org.openbravo.issue40746.rar
2019-05-08 16:49 AugustoMauch Summary Problem when a task is confirmed with 'Confirmed Quantity' = 0, in the Warehouse Operation window => Problem when a process executed in a subtab
2019-05-08 16:49 AugustoMauch Description Updated View Revisions
2019-05-08 16:49 AugustoMauch Steps to Reproduce Updated View Revisions
2019-05-08 16:49 AugustoMauch Proposed Solution updated
2019-05-10 13:03 Leyre File Added: CDS.png
2019-05-10 13:10 AugustoMauch Summary Problem when a process executed in a subtab => Problem when a process executed in a subtab, request without pagination done to datasource
2019-05-13 13:03 martinsdan Issue Monitored: martinsdan
2019-09-02 10:18 shuehner Issue Monitored: shuehner
2019-09-02 12:39 cberner Assigned To platform => cberner
2019-09-02 12:39 cberner Status new => acknowledged
2019-09-04 17:58 cberner Status acknowledged => scheduled
2019-09-18 13:42 hgbot Checkin
2019-09-18 13:42 hgbot Note Added: 0114638
2019-09-18 13:42 hgbot Status scheduled => resolved
2019-09-18 13:42 hgbot Resolution open => fixed
2019-09-18 13:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7ab00424ec1834febf6c5587364f9b81e6edc43e [^]
2019-09-18 13:42 AugustoMauch Review Assigned To => AugustoMauch
2019-09-18 13:43 AugustoMauch Project Modules => Openbravo ERP
2019-09-18 13:44 AugustoMauch Note Added: 0114639
2019-09-18 13:44 AugustoMauch Status resolved => closed
2019-09-18 13:44 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-09-23 14:02 hudsonbot Checkin
2019-09-23 14:02 hudsonbot Note Added: 0114726


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker